Subject: Re: Building gcc on cygwin w/ Herman Ten Brugge's bounds checking patch
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Mon, 10 Nov 2003 12:28:38 -0500

Bill Priest wrote:

>   I've built gcc w/ the bounds checking patch on Linux
> and solaris and am trying to build it on cygwin (w/
> the
> cygwin modified source from setup).  With tweak to
> one file I've been able to get it to bootstrap w/o
> any errors and the resulting C compiler will work
> w/o specifying "-fbounds-checking".  But I get a seg
> fault when specifying "-fbounds-checking".  Has anyone
> been able to build gcc w/ this patch??  I'm sure the
> problem is parts of the patch that don't apply cleanly
> vs. the cygwin patches.

I had downloaded this but not tried it yet.  If you get it
working it would be "interesting" to recompile Cygwin and
all of its packages and see what happens.  We have most of
the core dumps out of our local Cygwin setup but there are
still some happening from time to time...
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/